(function(){

	if (TYRANO.kag.version >= 520) {
        alert("読み上げ拡張プラグインはティラノスクリプトV520以上で使用できません。")
        return
	}


    TYRANO.kag.tmp.ex_speak = {};
    TYRANO.kag.tmp.ex_speak.isCancel = TYRANO.kag.stat.mp.isCancel || "true"
    
    let __showMessage = TYRANO.kag.tag.text.showMessage;
    TYRANO.kag.tag.text.showMessage = function (message_str, pm, isVertical) {
        if (this.kag.tmp.ex_speak.isCancel !== "false") {
            speechSynthesis.cancel();
        }

        __showMessage.apply(TYRANO, arguments);
    }



    //speak_on中の音声を全て消去する
    TYRANO.kag.ftag.master_tag.speak_cancel = {
        pm: {},
        start: function (pm) {
            speechSynthesis.cancel();
            this.kag.ftag.nextOrder();
        }
    };

    TYRANO.kag.ftag.master_tag.speak_cancel.kag = TYRANO.kag;    


    //speak_on中の音声を一時停止する
    TYRANO.kag.ftag.master_tag.speak_pause = {
        pm: {},
        start: function (pm) {
            speechSynthesis.pause();
            this.kag.ftag.nextOrder();
        }
    };

    TYRANO.kag.ftag.master_tag.speak_pause.kag = TYRANO.kag;    


    //speak_pauseした音声を再開する
    TYRANO.kag.ftag.master_tag.speak_resume = {
        pm: {},
        start: function (pm) {
            speechSynthesis.resume();
            this.kag.ftag.nextOrder();
        }
    };

    TYRANO.kag.ftag.master_tag.speak_resume.kag = TYRANO.kag;    

})();
